> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Virtual Account

> Get a virtual account by ID



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/virtual_accounts/{id}
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/virtual_accounts/{id}:
    get:
      tags:
        - virtual_accounts
      summary: Show virtual account
      description: Shows a virtual account
      operationId: TrioFoundationWeb.Banking.VirtualAccountController.show
      parameters:
        - description: Virtual Account UUID
          in: path
          name: id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VirtualAccountResponse'
          description: Virtual account
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    VirtualAccountResponse:
      description: A virtual account response
      example:
        data:
          bank_account_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
          branch: '0001'
          description: Conta
          digit: '1'
          id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
          number: '12345678'
          opening_date: '2024-10-12T00:00:00'
          parameters:
            automatic_refund_for_person_dead: false
            automatic_refund_for_person_invalid_tax_number: false
            automatic_refund_for_person_underage: false
            in_block_for_legal_entity: false
            in_block_for_pix_qrcode_different_amount_payment: false
            in_block_for_pix_qrcode_different_counterparty_bank_account: false
            in_block_for_pix_qrcode_different_tax_number: false
            in_block_for_pix_qrcode_duplicated_payment: false
            in_block_for_unauthorized_participant: false
            in_block_for_unidentified_deposit: false
            out_block_for_legal_entity: false
            out_blocked: false
          status: approved
          type: checking
      properties:
        data:
          $ref: '#/components/schemas/VirtualAccount'
      title: VirtualAccountResponse
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    VirtualAccount:
      description: A virtual account schema
      example:
        bank_account_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
        branch: '0001'
        description: Conta
        digit: '1'
        id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
        number: '12345678'
        opening_date: '2024-10-12T00:00:00'
        parameters:
          automatic_refund_for_person_dead: false
          automatic_refund_for_person_invalid_tax_number: false
          automatic_refund_for_person_underage: false
          in_block_for_legal_entity: false
          in_block_for_pix_qrcode_different_amount_payment: false
          in_block_for_pix_qrcode_different_counterparty_bank_account: false
          in_block_for_pix_qrcode_different_tax_number: false
          in_block_for_pix_qrcode_duplicated_payment: false
          in_block_for_unauthorized_participant: false
          in_block_for_unidentified_deposit: false
          out_block_for_legal_entity: false
          out_blocked: false
        status: approved
        type: checking
      properties:
        bank_account_id:
          description: Bank account ID
          type: string
        branch:
          description: Branch code
          type: string
        description:
          description: Virtual account description
          type: string
        digit:
          description: Account digit
          type: string
        id:
          description: Unique identifier
          type: string
        number:
          description: Account number
          type: string
        opening_date:
          description: Opening date
          format: date-time
          type: string
        parameters:
          description: Virtual account parameters
          properties:
            automatic_refund_for_person_dead:
              description: Automatic refund for deceased individuals
              type: boolean
            automatic_refund_for_person_invalid_tax_number:
              description: Automatic refund for invalid tax number
              type: boolean
            automatic_refund_for_person_underage:
              description: Automatic refund for underage
              type: boolean
            in_block_for_legal_entity:
              description: In block for legal entity origin?
              type: boolean
            in_block_for_pix_qrcode_different_amount_payment:
              description: In block for qrcode different amount payment?
              type: boolean
            in_block_for_pix_qrcode_different_counterparty_bank_account:
              description: In block for qrcode different counterparty bank account
              type: boolean
            in_block_for_pix_qrcode_different_tax_number:
              description: In block for qrcode different tax number?
              type: boolean
            in_block_for_pix_qrcode_duplicated_payment:
              description: In block for qrcode duplicated payment?
              type: boolean
            in_block_for_unauthorized_participant:
              description: In block for unauthorized participant
              type: boolean
            in_block_for_unidentified_deposit:
              description: In block for unidentified deposit?
              type: boolean
            out_block_for_legal_entity:
              description: Out block for legal entity destination?
              type: boolean
            out_blocked:
              description: Out blocked?
              type: boolean
          type: object
        status:
          $ref: '#/components/schemas/Virtual_account_status'
        type:
          $ref: '#/components/schemas/Virtual_account_type'
      title: VirtualAccount
      type: object
    Virtual_account_status:
      description: Status of the virtual account
      items:
        enum:
          - created
          - approved
          - onhold
          - canceled
        type: string
      title: Virtual account status
      type: string
    Virtual_account_type:
      description: Type of the virtual account
      items:
        enum:
          - checking
          - payment
          - salary
          - savings
        type: string
      title: Virtual account type
      type: string

````